Bug 839104 - Review Request: bluebird - Themes for GTK+3 as part of the Bluebird theme.
Review Request: bluebird - Themes for GTK+3 as part of the Bluebird theme.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Dan Mashal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 20:00 EDT by Jayson Rowe
Modified: 2014-01-24 16:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 16:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jayson Rowe 2012-07-10 20:00:47 EDT
Spec URL: http://jaysonr.fedorapeople.org/packages/bluebird/bluebird.spec
SRPM URL: http://jaysonr.fedorapeople.org/packages/bluebird/Bluebird-0.6-4.fc17.src.rpm
Description: Bluebird is a theme for GTK2/3 and xfwm4/metacity. The GTK+ theme is based on Zuki Blues by Lars Kongo (lassekongo83), and the xfwm theme is based on axiom by Rogier Koppejan (roog).
Fedora Account System Username: jaysonr
Successful Koji Build: http://koji.fedoraproject.org/koji/builds?userID=jaysonr&order=-build_id

This is my first package and I need a sponsor.
Comment 1 Jayson Rowe 2012-07-11 20:09:59 EDT
I just caught an error I made in the .spec resulting in capitalized names...
I've updated the spec, srpm and re-ran my koji scratch build. They can be found below:

spec: http://jaysonr.fedorapeople.org/packages/bluebird/bluebird.spec
srpm: http://jaysonr.fedorapeople.org/packages/bluebird/bluebird-0.6-4.fc17.src.rpm
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4235328
Comment 3 Kevin Fenzi 2012-07-12 16:47:04 EDT
Look for a review here in a bit.
Comment 5 Kevin Fenzi 2012-07-14 13:42:36 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+ or CC-BY-SA)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
c3f3b17ec196a53c70bf8cea6d0fd67c  shimmerproject-Bluebird-v0.6-1-g5aa322d.tar.gz
c3f3b17ec196a53c70bf8cea6d0fd67c  shimmerproject-Bluebird-v0.6-1-g5aa322d.tar.gz.1

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Doc subpackage needed/used. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

bluebird.src: W: spelling-error Summary(en_US) minimalistic -> minimalist, minimalism, animistic
bluebird.src: W: spelling-error %description -l en_US metacity -> meta city, meta-city, mendacity
bluebird.src: W: spelling-error %description -l en_US xfwm 
bluebird.src: W: invalid-url Source0: shimmerproject-Bluebird-v0.6-1-g5aa322d.tar.gz

can all be ignored. 

bluebird.src: E: description-line-too-long C Bluebird is a theme for GTK2/3 and xfwm4/metacity. The GTK+ theme is based on Zuki Blues, and the xfwm theme is based on axiom.
5 packages and 0 specfiles checked; 1 errors, 4 warnings.

Some word wrapping action needed?

Thats pretty minor and can be fixed before import... 

I don't see any blockers, so this package is APPROVED. 

I will go ahead and sponsor you in and go look at finishing the albatross review.
Comment 7 Jayson Rowe 2012-07-14 15:11:13 EDT
New Package SCM Request
=======================
Package Name: bluebird
Short Description: Desktop Suite for Xfce, GTK+ 2 and 3
Owners: jaysonr
Branches: f16 f17
InitialCC: kevin
Comment 8 Gwyn Ciesla 2012-07-14 22:43:39 EDT
SCM request and summary package names don't match, please correct.
Comment 9 Jayson Rowe 2012-07-14 22:59:18 EDT
Hi Jon,
I'm not entirely sure what you mean. What should I change? (I am a new packager).
Comment 10 Jayson Rowe 2012-07-14 23:02:42 EDT
I think I figured it out.
Comment 11 Jayson Rowe 2012-07-14 23:03:44 EDT
New Package SCM Request
=======================
Package Name: bluebird
Short Description: Themes for GTK+3 as part of the Bluebird theme.
Owners: jaysonr
Branches: f16 f17
InitialCC: kevin
Comment 12 Jason Tibbitts 2012-07-14 23:48:29 EDT
Git done (by process-git-requests).
Comment 13 Jayson Rowe 2012-07-15 10:02:26 EDT
Caught a versioning issue with the Unico theme engine - fixed, and updated files here:

spec: http://jaysonr.fedorapeople.org/packages/bluebird/bluebird.spec
srpm: http://jaysonr.fedorapeople.org/packages/bluebird/bluebird-0.6-4.fc17.src.rpm
Comment 14 Fedora Update System 2012-07-15 10:56:22 EDT
bluebird-0.6-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bluebird-0.6-4.fc17
Comment 15 Fedora Update System 2012-07-15 10:57:18 EDT
bluebird-0.6-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bluebird-0.6-4.fc16
Comment 16 Fedora Update System 2012-07-15 11:36:37 EDT
bluebird-0.6-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bluebird-0.6-4.fc17
Comment 17 Fedora Update System 2012-07-15 11:37:31 EDT
bluebird-0.6-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bluebird-0.6-4.fc16
Comment 18 Fedora Update System 2012-07-15 17:27:24 EDT
bluebird-0.6-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 19 Fedora Update System 2012-07-23 16:23:34 EDT
bluebird-0.6-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 20 Fedora Update System 2012-07-23 16:30:36 EDT
bluebird-0.6-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 21 Adam Miller 2014-01-24 16:52:46 EST
Package Change Request
======================
Package Name: bluebird
New Branches: el6 epel7
Owners: maxamillion kevin
Comment 22 Gwyn Ciesla 2014-01-24 16:54:00 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.